### Enumeration

# Phosh DragSurfaceDragMode

since: 0

#### Declaration

    enum Phosh.DragSurfaceDragMode

#### Description [src]

The drag mode of the drag surface. Specifies how and where the surface is draggable.

Available since: 0

#### Members

`PHOSH_DRAG_SURFACE_DRAG_MODE_FULL`

  Full surface is draggable.

  - Value: `0`
  - Nickname: `full`
  - Available since: 0
`PHOSH_DRAG_SURFACE_DRAG_MODE_HANDLE`

  Handle area is draggable.

  - Value: `1`
  - Nickname: `handle`
  - Available since: 0
`PHOSH_DRAG_SURFACE_DRAG_MODE_NONE`

  Surface is not draggable.

  - Value: `2`
  - Nickname: `none`
  - Available since: 0